//WARNING comment syntax is important,  if unsure, check out http://www.doxygen.org/manual.html

//---------------------------------------------------------------------------
//! \file serial.h
//!
//! \brief  Publicly accessible functions and types for serial.c
//!
//! Asynchronous serial comms. handler
//!     Version:    1.01         
//!     Processor:  Atmel ATMega8
//!     Compiler:   GCC          
//!
//! \author David R Brooks
//! \date 13/07/2007
//!
//---------------------------------------------------------------------------
// 2007.09.28 17:50  [YYYY.MM.DD] Last edited (CodeWright)

#ifndef __SERIAL_H
#define __SERIAL_H

//-Symbols -------------------------------------------------------------------
#include "typedefn.h"

//-Global Externs ------------------------------------------------------------

//-Global Function Prototypes ------------------------------------------------

bool1 CommsInit(uint4 rate_u4); 	// Start the comms. port, for TX interrupt, RX polled      
void  outc(char c);             	// Basic char. output on UART
uint1 outs(char* p);            	// Output a string, return its width on screen
uint1 outs_P(PGM_P p);          	// Output a string from code flash
void  outsw(char* p, sint2 w);		// Output string, pad to width
void  outsw_P(PGM_P p, sint2 w);	// Output string from Flash, pad to width
void  outn(int value, int width, int radix);	// Output value in width chars, in radix
void  wait(uint4 delay_us);     	// A simple delay loop, about 1uS per count
void  WaitForTx(void);          	// Wait until TX FIFO is empty
bool1 IsTxqEmpty(void);         	// Check if the TX FIFO is empty
uint1 SerialGetRx(void);        	// Get RX char. or NUL

#endif /* __SERIAL_H */
