/********************************************************************
*                                                                   *
*       S I M P L E   V T 1 0 0   S C R E E N   D R I V E R S       *
*                                                                   *
*********************************************************************
*                                                                   *
* File:       VT100.C                                               *
* Purpose:    Provides simple debugger output functions,            *
*             much lighter than printf(), etc.                      *
* Author:     David R Brooks                                        *
* Date:       June, 2007                                            *
* Version:    1.01                                                  *
* Processor:  Atmel ATMega8                                         *
* Compiler:   GCC                                                   *
* Note:       Requires fns. outc() & outs() to transmit chars.      *
*                                                                   *
*********************************************************************/
// 2007.09.28 17:49  [YYYY.MM.DD] Last edited (CodeWright)

#include "vt100.h"
#include "serial.h"

/***************************************************************************/
void ClearScreen(void)
{
	outs("\033" "[2J" "\033" "[H");
}

/***************************************************************************/
void SetCursor(uint1 row, uint1 col)
{
	outc('\033');			// Set cursor posn
	outc('[');
	outn(row, 0, 10);
	outc(';');
	outn(col, 0, 10);
	outc('H');
}

/***************************************************************************/
/*----- END OF FILE ------------------------------------------------------*/
