//WARNING comment syntax is important,  if unsure, check out http://www.doxygen.org/manual.html

//---------------------------------------------------------------------------
//! \file vt100.h
//!
//! \brief  Publicly accessible functions and types for vt100.c
//!
//! Simple VT-100 screen functions
//! Provides simple debugger output functions, much lighter than printf(), etc.
//!     Version:    1.01         
//!     Processor:  Atmel ATMega8
//!     Compiler:   GCC          
//!
//! \author David R Brooks
//! \date 14/07/2007
//!
//! \note                Requires a fn. outc() to transmit chars.
//!
//---------------------------------------------------------------------------
// 2007.09.28 17:49  [YYYY.MM.DD] Last edited (CodeWright)

#ifndef __VT100_H
#define __VT100_H

//-Symbols -------------------------------------------------------------------
// [insert gobal #defines and variable types]

//-Global Externs ------------------------------------------------------------
// [insert global variables externs here]

//-Global Function Prototypes ------------------------------------------------
// [insert global protoypes]

//-Included files ------------------------------------------------------------
#include "typedefn.h"
#include "interrupt.h"

//-Global Function Prototypes ------------------------------------------------
void  ClearScreen(void);
void  SetCursor(uint1 row, uint1 col);

#endif  // __VT100_H
